module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.addColumn("sessions", "audio_url", {
      type: Sequelize.DataTypes.TEXT,
    });

    await queryInterface.addColumn("sessions", "audio_filename", {
      type: Sequelize.DataTypes.TEXT,
    });

    await queryInterface.addColumn("sessions", "audio_mime_type", {
      type: Sequelize.DataTypes.TEXT,
    });

    await queryInterface.addColumn("sessions", "audio_size", {
      type: Sequelize.DataTypes.INTEGER,
    });
  },

  async down(queryInterface) {
    await queryInterface.removeColumn("sessions", "audio_size");
    await queryInterface.removeColumn("sessions", "audio_mime_type");
    await queryInterface.removeColumn("sessions", "audio_filename");
    await queryInterface.removeColumn("sessions", "audio_url");
  },
};
